3

I am trying to open two files, they are both coming from this source :

[https://geoservices.ign.fr/rpg#telechargement][1]

(Two first links that I downloaded through FileZilla).

But once the unizpping is done and I try to open the geopackages on QGIS 3.10, I receive this message :

gpkg is not a valid or recognized data source

I have also tried to open the files with GeoPandas on Python but here is the result:

---------------------------------------------------------------------------
CPLE_OpenFailedError                      Traceback (most recent call last)
fiona/_shim.pyx in fiona._shim.gdal_open_vector()

fiona/_err.pyx in fiona._err.exc_wrap_pointer()

CPLE_OpenFailedError: sqlite3_open(PARCELLES_GRAPHIQUES.gpkg) failed: unable to open database file

During handling of the above exception, another exception occurred:

DriverError                               Traceback (most recent call last)
~\AppData\Local\Temp/ipykernel_13828/2755099948.py in <module>
----> 1 pac = gpd.read_file('PARCELLES_GRAPHIQUES.gpkg')

~\Anaconda3\envs\geo\lib\site-packages\geopandas\io\file.py in _read_file(filename, bbox, mask, rows, **kwargs)
    199 
    200     with fiona_env():
--> 201         with reader(path_or_bytes, **kwargs) as features:
    202 
    203             # In a future Fiona release the crs attribute of features will

~\Anaconda3\envs\geo\lib\site-packages\fiona\env.py in wrapper(*args, **kwargs)
    406     def wrapper(*args, **kwargs):
    407         if local._env:
--> 408             return f(*args, **kwargs)
    409         else:
    410             if isinstance(args[0], str):

~\Anaconda3\envs\geo\lib\site-packages\fiona\__init__.py in open(fp, mode, driver, schema, crs, encoding, layer, vfs, enabled_drivers, crs_wkt, **kwargs)
    254 
    255         if mode in ('a', 'r'):
--> 256             c = Collection(path, mode, driver=driver, encoding=encoding,
    257                            layer=layer, enabled_drivers=enabled_drivers, **kwargs)
    258         elif mode == 'w':

~\Anaconda3\envs\geo\lib\site-packages\fiona\collection.py in __init__(self, path, mode, driver, schema, crs, encoding, layer, vsi, archive, enabled_drivers, crs_wkt, ignore_fields, ignore_geometry, **kwargs)
    160             if self.mode == 'r':
    161                 self.session = Session()
--> 162                 self.session.start(self, **kwargs)
    163             elif self.mode in ('a', 'w'):
    164                 self.session = WritingSession()

fiona/ogrext.pyx in fiona.ogrext.Session.start()

fiona/_shim.pyx in fiona._shim.gdal_open_vector()

DriverError: sqlite3_open(PARCELLES_GRAPHIQUES.gpkg) failed: unable to open database file

If you have any ideas about how to sort this out, I'm in.

EDIT 1 : I tried to run ogrinfo and got the following results :

Traceback (most recent call last):
  File "C:/PROGRA~1/QGIS3~1.10/apps/qgis-ltr/./python/plugins\processing\algs\gdal\GdalAlgorithmDialog.py", line 139, in parametersHaveChanged
    commands = self.alg.getConsoleCommands(parameters, context, feedback, executing=False)
  File "C:/PROGRA~1/QGIS3~1.10/apps/qgis-ltr/./python/plugins\processing\algs\gdal\ogrinfo.py", line 82, in getConsoleCommands
    raise QgsProcessingException(self.invalidSourceError(parameters, self.INPUT))
```

  


  [1]: https://geoservices.ign.fr/rpg#telechargement
2
  • Can you open the geopackage with ogrinfo?
    – user30184
    Commented Feb 10, 2022 at 12:00
  • No, it doesn't work with ogrinfo
    – Basile
    Commented Mar 8, 2022 at 8:26

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.